You are using an incompatible web browser, Facebook said

facebook-browsers

I almost have no problems accessing Facebook site using many different browsers. But, I sometime I found problems when using Opera 10 browser. It says that I’m using incompatible web browser. But, it only happens randomly, even when I do the same actions like reloading pages, clicking on the links. And so far, it only happens on Facebook-related pages.

The error page suggests me to use these browsers: Mozilla Firefox, Opera, Safari, Microsoft Internet Explorer, and Flock. I do using Opera, but not the latest stable release. So, is it Facebook? Or, Opera 10 doesn’t play nice with Facebook yet? I’m using Opera Version 10.00 1 Build 1355 on Windows XP when I experience this problem.

Flock 2.0

Flock 2.0 released and it is built on the latest Firefox 3 technology from Mozilla. Download now.

Internet Browser Memory Battle

I have some internet browsers installed in my PC and laptop like Opera, Firefox, Flock, Safari (for Windows) and also Internet Explorer. For my OpenSUSE and Ubuntu, I only have Firefox and Opera. Among those, I only use two browsers regularly. For the other, I only use it for web development purposes.
Even I — think — I have enough memory to run some application at the same time, I love when those browsers do not eat too much memory. So far, I like Opera and Firefox (I use the latest version). Not only that I feel comfortable using them, but also because they have good memory management. If you want to reader some detailed analysis, there are some articles on the internet. Here are some:

The good think is that… I use my favorite internet browsers, and they’re also good. Nice.